summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorUlf Hermann <ulf.hermann@qt.io>2019-01-09 14:10:20 +0100
committerUlf Hermann <ulf.hermann@qt.io>2019-01-09 15:03:08 +0000
commit5802241ec0c92081a8c09125bfdb1e52f56bebb8 (patch)
treef649980d86380a88425906429ce4664cc777b15b
parentbc774f62436c4fe5082f0a70c6620fa0fdf823a9 (diff)
Skip run-readelf-compressed.sh test if built without bzip2
Obviously, we cannot read the compressed ELF file if no bzip2 support is present. Change-Id: Ia85efce5e546b184adb015de42d1a6ec63154e96 Reviewed-by: Christian Kandeler <christian.kandeler@qt.io>
-rwxr-xr-xtests/run-readelf-compressed.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/run-readelf-compressed.sh b/tests/run-readelf-compressed.sh
index a2a04a2a..861553fe 100755
--- a/tests/run-readelf-compressed.sh
+++ b/tests/run-readelf-compressed.sh
@@ -17,6 +17,11 @@
. $srcdir/test-subr.sh
+if ! grep -q -F '#define USE_BZLIB' ${abs_top_builddir}/config.h; then
+ echo "elfutils built without bzip2 support"
+ exit 77
+fi
+
# See run-strip-reloc.sh
testfiles hello_i386.ko